> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/line-item-type-enum.md).

# LineItemTypeEnum

### Values

**SUBSCRIPTION**

Line item for subscription, generally for a recurring charge.

**PRODUCT**

Line item charging for a product.

**SHIPPING**

Line item for shipping costs.

**DISCOUNT**

Line item for applied discount

**CREDIT**

Line item for a credited amount

**MANUAL\_INVOICE**

Line item for manual invoice description

**PROMOTION**

Line item for applied promotion

**INITIAL**

Line item for an initial payment

**ASSET\_PURCHASE**

Line item for a purchase of an asset

**PLAN\_SWITCH**

Line item indicating the switch to a new subscription plan.

**PRE\_PAID**

Line item for a prepaid upgrade

**PLAN\_UPGRADE**

Line item for a plan upgrade

**CUSTOM**

Line item for custom charges


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/line-item-type-enum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
